# lookupAssetTransactions

GET

/v2/assets/{asset-id}/transactions

Lookup transactions for an asset. Transactions are returned oldest to newest.

## Parameters

### Path Parameters

**asset-id**  
required  
integer

### Query Parameters

**limit**  
integer  
Maximum number of results to return. There could be additional pages even if the limit is not reached.

**next**  
string  
The next page of results. Use the next token provided by the previous results.

**note-prefix**  
string  
Specifies a prefix which must be contained in the note field.

**tx-type**  
string  
Allowed values:  pay  keyreg  acfg  axfer  afrz  appl  stpf  hb

**sig-type**  
string  
Allowed values:  sig  msig  lsig

SigType filters just results using the specified type of signature:

- sig - Standard
- msig - MultiSig
- lsig - LogicSig

**txid**  
string  
Lookup the specific transaction by ID.

**round**  
integer  
Include results for the specified round.

**min-round**  
integer  
Include results at or after the specified min-round.

**max-round**  
integer  
Include results at or before the specified max-round.

**before-time**  
string format: date-time  
Include results before the given time. Must be an RFC 3339 formatted string.

**after-time**  
string format: date-time  
Include results after the given time. Must be an RFC 3339 formatted string.

**currency-greater-than**  
integer  
Results should have an amount greater than this value. MicroAlgos are the default currency unless an asset-id is provided, in which case the asset will be used.

**currency-less-than**  
integer  
Results should have an amount less than this value. MicroAlgos are the default currency unless an asset-id is provided, in which case the asset will be used.

**address**  
string  
Only include transactions with this address in one of the transaction fields.

**address-role**  
string  
Allowed values:  sender  receiver  freeze-target

Combine with the address parameter to define what type of address to search for.

**exclude-close-to**  
boolean  
Combine with address and address-role parameters to define what type of address to search for. The close to fields are normally treated as a receiver, if you would like to exclude them set this parameter to true.

**rekey-to**  
boolean  
Include results which include the rekey-to field.

## Responses

### 200

(empty)

Select media type application/json

object

**current-round**  
required  
Round at which the results were computed.

integer

**next-token**  
Used for pagination, when making another request provide this token with the next parameter.

string

**transactions**  
required  
Array<object>

Contains all fields common to all transactions and serves as an envelope to all transaction types. Represents both regular and inner transactions.

### Application-Transaction

Fields for application transactions.

**access**  
Array<object>

ResourceRef names a single resource. Only one of the fields should be set.

**address**  
string

**application-id**  
integer

**asset-id**  
integer

**box**

**app**  
required  
Application ID to which the box belongs, or zero if referring to the called application.

integer

**name**  
required  
Base64 encoded box name

string format: byte

**holding**  
**address**  
required  
string

**asset**  
required  
integer

**local**  
**address**  
required  
string

**app**  
required  
integer

**accounts**  
Array<string>

**application-args**  
Array<string>

**application-id**  
required  
integer

**approval-program**  
string format: byte

**box-references**  
Array<object>

**app**  
required  
integer

**name**  
required  
string format: byte

**clear-state-program**  
string format: byte

**extra-program-pages**  
integer

**foreign-apps**  
Array<integer>

**foreign-assets**  
Array<integer>

**global-state-schema**  
object

**num-byte-slice**  
required  
integer

**num-uint**  
required  
integer

**local-state-schema**  
object

**num-byte-slice**  
required  
integer

**num-uint**  
required  
integer

**on-completion**  
required  
string

Allowed values:  noop  optin  closeout  clear  update  delete

### 400

Response for errors

Select media type application/json

object

**data**  
object

**message**  
required  
string

### 500

Response for errors

Select media type application/json

object

**data**  
object

**message**  
required  
string
